
Foreman - Feature #179

Ability to change paramters for multiple hosts at the same time.

03/16/2010 10:42 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There should be a way to mass edit and update multiple parameters for a large number of hosts.

An user should be able to select the hosts he wants, and proceed to a page which lets him edit/update all parameters for that host.

I've created a working proof of concept for this feature on http://github.com/ashayh/foreman .

This is for the NO_AS branch.

Associated revisions

Revision 52538203 - 05/09/2010 03:30 PM - Ohad Levy

Fixes #179 - allow mass assignment of parameters and host groups.

Greatly inspired by Ashay Humane <ashay.humane@gmail.com> at 5c2e395c

Revision 91dcf7dc - 05/17/2010 02:43 AM - Ohad Levy

updated incorrect url path, refs #179

History

#1 - 04/30/2010 03:57 AM - Ohad Levy

- Target version set to 0.1-5

hopefully for the last time, would you mind rebasing against the latest develop branch?

#2 - 05/02/2010 07:06 AM - Bash Shell

- File feat179.patch added

Patch

Also branch at http://github.com/ashayh/foreman/tree/issue_179

#3 - 05/09/2010 03:37 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 525382033ecd4b944dac0a691cc370c85b2f91e6.

#4 - 05/18/2010 03:25 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#5 - 08/06/2010 12:08 PM - Jakub Heichman

Apologies for updating a closed bug - I thought it would be very useful if this could be extended so we can actually add parameters to multiple hosts,

not just change/update them.
Also, would it be possible to change hostgroup parameters directly on (multiple) nodes assigned to that hostgroup?

Jakub

#6 - 08/07/2010 07:04 PM - Ohad Levy

Jakub Heichman wrote:

Apologies for updating a closed bug - I thought it would be very useful if this could be extended so we can actually add parameters to multiple

hosts, not just change/update them.

 Sounds like a new feature request :)

Also, would it be possible to change hostgroup parameters directly on (multiple) nodes assigned to that hostgroup?

 You mean that you would like to override the settings for certain hosts (which are members of a hostgroup) or change the hostgroup value it self?

in anycase, sounds like a new feature request too

Files

feat179.patch 14 KB 05/02/2010 Bash Shell
